2018-06-25 08:55 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001626FSSCPFS2NetDpublic2008-10-04 21:18
ReporterShade 
Assigned Totaylor 
PrioritynormalSeveritytrivialReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.10 
Summary0001626: 3.6.10 Trying to connect to PXO with 2 instances of FS2, error msg claims TCP not installed
DescriptionProbably not one you'd encounter unless you're being stupid on purpose, so not that important, but anyway:

If you run two instances of FS2 on the same computer, and try to connect both of them to PXO, the error message that pops up when trying to make the second connection claims that the TCP protocol is not detected on the computer.

It doesn't matter whether the second login is attempted using the same or a different FS2Net account as the first.
Additional InformationFound using the 03/06 Xt build. Multi.log of the incident attached.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0008941

taylor (administrator)

Is the second instance using a different port than the default (with the -port cmdline option)?

If it's using the same port the game probably just sees it as in-use, but doesn't handle the error except in a generic way.

~0008942

Shade (developer)

No -port command line was used. I'll try it and see what happens.

~0008943

Shade (developer)

Last edited: 2008-03-07 20:56

Ok, forcing a different port lets you log on with both instances. In fact, it lets you log on using the same account and join the same game twice. My test account is now hosting my test account in a game.

However, you're not allowed two connections from the same IP chat lobby, regardless of account. Trying that will kick the latecomer back to the main hall.

~0008946

taylor (administrator)

Ah, forgot about how the lobby might handle multiple connections. It does point out another bug though: unsuccessful connection to the chat server should just bump you right over to the game screen rather than out to the mainhall. I'll get that fixed for the next build.


Regarding just this bug though, I should be able to fix it to give a better error description so that we would know for sure that it was in-use. I thought about just bumping the port number in the in-use case and continuing to try and connect with other ports until something was successful, but I would rather not do that without a consensus that it is actually a good idea. We can talk about that in the forums and then go from there. Both of those options are equally possible though and neither would be difficult to code in.

~0009787

taylor (administrator)

Fixed locally and I'll commit at some point this weekend. I just went with the warning option, telling the user to try the -port cmdline option.

~0009804

taylor (administrator)

Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2008-03-07 20:28 Shade New Issue
2008-03-07 20:28 Shade Status new => assigned
2008-03-07 20:28 Shade Assigned To => taylor
2008-03-07 20:28 Shade File Added: multi.log
2008-03-07 20:39 taylor Note Added: 0008941
2008-03-07 20:48 Shade Note Added: 0008942
2008-03-07 20:53 Shade Note Added: 0008943
2008-03-07 20:54 Shade Note Edited: 0008943
2008-03-07 20:56 Shade Note Edited: 0008943
2008-03-07 20:56 Shade Note Edited: 0008943
2008-03-07 21:56 taylor Note Added: 0008946
2008-10-03 14:50 taylor Note Added: 0009787
2008-10-04 21:18 taylor Status assigned => resolved
2008-10-04 21:18 taylor Fixed in Version => 3.6.10
2008-10-04 21:18 taylor Resolution open => fixed
2008-10-04 21:18 taylor Note Added: 0009804
+Issue History